GNU bug report logs - #36876
guix system delete-generations removes custom boot menu entries

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Jesse Gibbons <jgibbons2357@HIDDEN>; dated Wed, 31 Jul 2019 15:50:01 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 36876 <at> debbugs.gnu.org:


Received: (at 36876) by debbugs.gnu.org; 6 Aug 2019 18:27:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 06 14:27:54 2019
Received: from localhost ([127.0.0.1]:37758 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hv4Bd-0004Km-Pa
	for submit <at> debbugs.gnu.org; Tue, 06 Aug 2019 14:27:54 -0400
Received: from mx.sdf.org ([205.166.94.20]:64895)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zerodaysfordays@HIDDEN>)
 id 1hv4Bb-0004Ke-Ej
 for 36876 <at> debbugs.gnu.org; Tue, 06 Aug 2019 14:27:52 -0400
Received: from Upsilon (mobile-166-172-60-111.mycingular.net [166.172.60.111])
 (authenticated (0 bits))
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPSA id x76IRlPa021932
 (using TLSv1.2 with cipher AES256-GCM-SHA384 (256 bits) verified NO);
 Tue, 6 Aug 2019 18:27:49 GMT
From: zerodaysfordays@HIDDEN (Jakob L. Kreuze)
To: Danny Milosavljevic <dannym@HIDDEN>
Subject: Re: bug#36876: guix system delete-generations removes custom boot
 menu entries
References: <20190731094857.28829b11@HIDDEN>
 <8736ifzjfe.fsf@HIDDEN>
 <20190806183234.5e7714c2@HIDDEN>
Date: Tue, 06 Aug 2019 14:27:47 -0400
In-Reply-To: <20190806183234.5e7714c2@HIDDEN> (Danny Milosavljevic's
 message of "Tue, 6 Aug 2019 18:32:34 +0200")
Message-ID: <87k1bqdu8s.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36876
Cc: 36876 <at> debbugs.gnu.org, Jesse Gibbons <jgibbons2357@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Hi Danny,

Danny Milosavljevic <dannym@HIDDEN> writes:

> Hi Jakob,
>
> keep in mind that switching back to a previous generation could also entail a
> switch of bootloader projects.  It does you no good to parse the grub config to
> find menu entries and then append them to u-boot.
>
> Fundamentally, it would be best if either the bootloader is part of the state
> that guix manages (and each time uses), or it isn't; not both.
>
> Current situation:
>
> * If you select a previous generation in the boot menu, then the state that is
> selected does NOT include the bootloader (i.e. it doesn't change the bootloader
> or the bootloader config).
>
> * If you do "guix system reconfigure", the state that is saved includes only
> the bootloader in the boot sector (simplified) but not the bootloader installer
> or the bootloader derivation.
>
> * If you do "guix system delete-generations", the state that is restored does
> not include the bootloader installer and previous bootloader configuration.
>
> Clearly, it's not nice to have these different things happen.
>
> It would be better if we retained the generation's bootloader installer
> and bootloader config and reinstalled it on each of those.
>
> So, I would suggest to retain the following for each system generation:
>
> * The bootloader package derivation
> * The bootloader config derivation
> * The bootloader installer derivation
>
> And to install the bootloader each time using the latter.
>
> This introduces cycles--not sure whether that's a problem or not.
> For the GC I think it's not a problem.

Thank you for your comments -- after reading this and Jesse's
suggestion, I'm quite confident that this is the way to go about it.

Regards,
Jakob

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEa1VJLOiXAjQ2BGSm9Qb9Fp2P2VoFAl1JxqMACgkQ9Qb9Fp2P
2Vqb8g//ZObyAhO6cNTFAHob4iC/ygNuKL3qVKKpe5fGOrsZaAgQFxRON+1pgUem
RFMLdXaAqVbd26nthZSGZWTA1QYbEAEhwlapFv+1ZDIm9BAk0r+hz1TJ5Awz8AZW
v4BM4MrzG6iZMJ8MBZ6t2II29H60J6hPk29DIYU67FW8NlsqKUdQOfl5jOAh99lq
LDwjByhuCWzn02gZkfv7Sp8CRcYRxB67jy4byN2oH6VGpCqAr0MPOkP3vUIg7j5p
onvmT3Pt5MSa60wwSo92EiNmmZYd/QyV/B1Rg7ug7+nIu3Mbu9r/MgpcJUFMMWRU
/MPbZ8LU8D+YnI5D4y8tfQnGjw9qb1o/GtCDklu5CKNxJOV7115UyCMAy62/oXXI
N5NfkygfM4KRbPk5FAV1RSVncwVaxPIb3xe+EY1717HJavA38MdB++cVMF+Mzb2k
fAt/NL/5NYrAbi00Y1STZDvOjmQOndGemoeb8g0H3OC9X0yQH1zX9bf8oc/3Qcd2
4TSso5mBC06/rZAkTYkpaMyWVfwV5fpBop4fTdI4q5tn8hcB1dHAayfKItmbwBOk
iCC97LsJUjGH8fDxz/yrq+qrk90nTunZdK0Bg9iCJJvKDAYrRQ8rw2j98Jv4TdTX
gJ+anlbTc9e9IdN+xVI4foLNCRhAw2JLB/Jbdk8qWt79ezOOsJc=
=wCog
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#36876; Package guix. Full text available.

Message received at 36876 <at> debbugs.gnu.org:


Received: (at 36876) by debbugs.gnu.org; 6 Aug 2019 16:36:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 06 12:36:02 2019
Received: from localhost ([127.0.0.1]:37710 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hv2RO-0001FC-1l
	for submit <at> debbugs.gnu.org; Tue, 06 Aug 2019 12:36:02 -0400
Received: from dd26836.kasserver.com ([85.13.145.193]:52838)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dannym@HIDDEN>) id 1hv2RM-0001Em-7h
 for 36876 <at> debbugs.gnu.org; Tue, 06 Aug 2019 12:36:00 -0400
Received: from localhost (77.117.217.54.wireless.dyn.drei.com [77.117.217.54])
 by dd26836.kasserver.com (Postfix) with ESMTPSA id 4054A33697C5;
 Tue,  6 Aug 2019 18:35:59 +0200 (CEST)
Date: Tue, 6 Aug 2019 18:35:58 +0200
From: Danny Milosavljevic <dannym@HIDDEN>
To: zerodaysfordays@HIDDEN (Jakob L. Kreuze)
Subject: Re: bug#36876: guix system delete-generations removes custom boot
 menu entries
Message-ID: <20190806183558.7d863a82@HIDDEN>
In-Reply-To: <20190806183234.5e7714c2@HIDDEN>
References: <20190731094857.28829b11@HIDDEN>
 <8736ifzjfe.fsf@HIDDEN>
 <20190806183234.5e7714c2@HIDDEN>
X-Mailer: Claws Mail 3.17.3 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 boundary="Sig_/gK80rg=0=d64sVF3ifPEoMK"; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 36876
Cc: 36876 <at> debbugs.gnu.org, Jesse Gibbons <jgibbons2357@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--Sig_/gK80rg=0=d64sVF3ifPEoMK
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: quoted-printable

Addition:

* If you do "guix system switch-generation", the state that is restored does
not include the bootloader installer and previous bootloader configuration.

--Sig_/gK80rg=0=d64sVF3ifPEoMK
Content-Type: application/pgp-signature
Content-Description: Digitale Signatur von OpenPGP

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEds7GsXJ0tGXALbPZ5xo1VCwwuqUFAl1JrG4ACgkQ5xo1VCww
uqXwuAf/YBhjEfeoVHpKvG3yWhXyuSgXYVA823vL/ovJzOCNrJ0gOwN/oax8zYE4
RENwreE7cp0vvfWR7L5BC7Q3knU6+oXcfjvemLwmzYYE2vBwt7EuxQGy+Y7pyU3U
ei16tooXaQPkU/fDXYLdYxGYAg3qYdpPmSE/nGB33LFTybiLt+Q/aDm5nFn9oWML
XQ/8j+i+3MC1Ympx/jZvH7wPcmZ+XAKI5pf8I5JGpKGL61f8FfZKVeIxV1qBYxgY
A2GrMa6kWXcyYocg4PwN2BpK/Q5fIpJTUHN/nsbkn2Qs9/Yal4fEFIjvluJr5xG/
BHMXMoc0XASl9gEKjqXRwIi0F45gpA==
=2XFY
-----END PGP SIGNATURE-----

--Sig_/gK80rg=0=d64sVF3ifPEoMK--




Information forwarded to bug-guix@HIDDEN:
bug#36876; Package guix. Full text available.

Message received at 36876 <at> debbugs.gnu.org:


Received: (at 36876) by debbugs.gnu.org; 6 Aug 2019 16:32:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 06 12:32:40 2019
Received: from localhost ([127.0.0.1]:37706 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hv2O8-000193-Fm
	for submit <at> debbugs.gnu.org; Tue, 06 Aug 2019 12:32:40 -0400
Received: from dd26836.kasserver.com ([85.13.145.193]:52560)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dannym@HIDDEN>) id 1hv2O6-00018n-Dj
 for 36876 <at> debbugs.gnu.org; Tue, 06 Aug 2019 12:32:39 -0400
Received: from localhost (77.117.217.54.wireless.dyn.drei.com [77.117.217.54])
 by dd26836.kasserver.com (Postfix) with ESMTPSA id 26A29336212E;
 Tue,  6 Aug 2019 18:32:36 +0200 (CEST)
Date: Tue, 6 Aug 2019 18:32:34 +0200
From: Danny Milosavljevic <dannym@HIDDEN>
To: zerodaysfordays@HIDDEN (Jakob L. Kreuze)
Subject: Re: bug#36876: guix system delete-generations removes custom boot
 menu entries
Message-ID: <20190806183234.5e7714c2@HIDDEN>
In-Reply-To: <8736ifzjfe.fsf@HIDDEN>
References: <20190731094857.28829b11@HIDDEN>
 <8736ifzjfe.fsf@HIDDEN>
X-Mailer: Claws Mail 3.17.3 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 boundary="Sig_/AX2tY92m4G8OqHM5qxO6rfy"; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 36876
Cc: 36876 <at> debbugs.gnu.org, Jesse Gibbons <jgibbons2357@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--Sig_/AX2tY92m4G8OqHM5qxO6rfy
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: quoted-printable

Hi Jakob,

keep in mind that switching back to a previous generation could also entail=
 a
switch of bootloader projects.  It does you no good to parse the grub confi=
g to
find menu entries and then append them to u-boot.

Fundamentally, it would be best if either the bootloader is part of the sta=
te
that guix manages (and each time uses), or it isn't; not both.

Current situation:

* If you select a previous generation in the boot menu, then the state that=
 is
selected does NOT include the bootloader (i.e. it doesn't change the bootlo=
ader
or the bootloader config).

* If you do "guix system reconfigure", the state that is saved includes only
the bootloader in the boot sector (simplified) but not the bootloader insta=
ller
or the bootloader derivation.

* If you do "guix system delete-generations", the state that is restored do=
es
not include the bootloader installer and previous bootloader configuration.

Clearly, it's not nice to have these different things happen.

It would be better if we retained the generation's bootloader installer
and bootloader config and reinstalled it on each of those.

So, I would suggest to retain the following for each system generation:

* The bootloader package derivation
* The bootloader config derivation
* The bootloader installer derivation

And to install the bootloader each time using the latter.

This introduces cycles--not sure whether that's a problem or not.
For the GC I think it's not a problem.

--Sig_/AX2tY92m4G8OqHM5qxO6rfy
Content-Type: application/pgp-signature
Content-Description: Digitale Signatur von OpenPGP

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEds7GsXJ0tGXALbPZ5xo1VCwwuqUFAl1Jq6IACgkQ5xo1VCww
uqX+MAf/SuzaBCxBH2Shxkh3c3JUJYnVPc9oW+MVvCou/sAwjeUkgI9LVz4lgaXA
aLmknvllkHpWWi3sofBXqWQXqHSpu6PlJPMSSOadcPKTYc2J1oK0rMK4TWmLHqZk
eqGdy9pAN06Fr56Vcl/OEqnEwCodFJ/Xv9kxGj5vS+6WtpDbdLDSmvQs2YkPAcc/
KaoNZBwYneMjAJV25EAq0i5jhCh3TmQkibl3FDdt8veURo+oAVf6B1gpXU12XRiS
/PF2x6SERRMObz0jQXyGlzi6anFwXkRj9NKozfoKzwfncbqrTux/3EIDeUTQYvZS
bkZ0ZDqXk6Lu40Byi54Oekn3XGnumg==
=x0pE
-----END PGP SIGNATURE-----

--Sig_/AX2tY92m4G8OqHM5qxO6rfy--




Information forwarded to bug-guix@HIDDEN:
bug#36876; Package guix. Full text available.

Message received at 36876 <at> debbugs.gnu.org:


Received: (at 36876) by debbugs.gnu.org; 6 Aug 2019 13:26:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 06 09:26:18 2019
Received: from localhost ([127.0.0.1]:36590 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1huzTm-0000S8-4r
	for submit <at> debbugs.gnu.org; Tue, 06 Aug 2019 09:26:18 -0400
Received: from mx.sdf.org ([205.166.94.20]:55698)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zerodaysfordays@HIDDEN>)
 id 1huzTh-0000Rx-Ab
 for 36876 <at> debbugs.gnu.org; Tue, 06 Aug 2019 09:26:16 -0400
Received: from Epsilon (pool-173-76-53-40.bstnma.fios.verizon.net
 [173.76.53.40]) (authenticated (0 bits))
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPSA id x76DQB51000229
 (using TLSv1.2 with cipher AES256-GCM-SHA384 (256 bits) verified NO);
 Tue, 6 Aug 2019 13:26:12 GMT
From: zerodaysfordays@HIDDEN (Jakob L. Kreuze)
To: Jesse Gibbons <jgibbons2357@HIDDEN>
Subject: Re: bug#36876: guix system delete-generations removes custom boot
 menu entries
References: <20190731094857.28829b11@HIDDEN>
 <8736ifzjfe.fsf@HIDDEN>
 <e5d7a9a83b44c739794a597411ae3ee090bac61d.camel@HIDDEN>
Date: Tue, 06 Aug 2019 09:22:59 -0400
In-Reply-To: <e5d7a9a83b44c739794a597411ae3ee090bac61d.camel@HIDDEN> (Jesse
 Gibbons's message of "Mon, 05 Aug 2019 21:12:42 -0600")
Message-ID: <87y306xwb0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36876
Cc: 36876 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Jesse Gibbons <jgibbons2357@HIDDEN> writes:

> Alternatively, we could save in the store a derivation for the the grub
> config generated from the bootloader of the configuration. When the
> user calls "guix system delete-generations", the derivation can be run,
> and the remaining system generations (if any) can be appended in a menu
> like when the user calls "guix system reconfigure". (Although it does
> not work for me right now, I'm assuming "guix system delete-generations=20
> 2m" as described in the manual will be implemented in the future.)
>
> The immediate downsides I see to my solution:
>
> - It would take space in the store per generation, which can add up if
> the user does not often call "guix system delete-generations" and calls
> "guix system reconfigure" on a healthy basis. The user could just be
> reminded to call "guix system delete-generations" occasionally, and any
>  official service that automatically updates the system via "guix
> system reconfigure" can (and considering how large a generation with a
> lot of updated system packages can get, probably should) also be
> configured to call "guix system delete-generations".
>
> - If someone hand-edits the grub config the changes would be lost. This
> is the case as it is right now, and grub options can be edited in the
> configuration, so I'm not too concerned about this.
>
> -It would be much simpler to identify menu entries generated by guix
> that are no longer in the store and remove them, and remove all empty
> submenus. Parsing would make hand-editing grub.cfg more dangerous than
> a solution that simply scraps the hand-made changes and rebuilds as I
> propose, because the user doing the hand-editing would not necessarily
> be aware what patterns the parser checks. It would also be
> inconsitent: edits to grub.cfg being scrapped when "guix system
> reconfigure" is called, but not when 'guix system delete-generations"
> is called looks to me like a good way to introduce a bug to the more
> adventurous "Murphy's Law"-type users down the road.

I haven't tried it yet, but 'menuentry' seems as though it would be a
fairly simple structure to parse.

> These are just my thoughts. I would love to hear other downsides to my
> solution.

I prefer your suggestion to mine and think that the benefits may
outweigh the costs in this case. This seems to fit into the Guix idea of
purity a bit better than parsing a grub.cfg that may have been
overwritten by another system.

Regards,
Jakob

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEa1VJLOiXAjQ2BGSm9Qb9Fp2P2VoFAl1JfzMACgkQ9Qb9Fp2P
2VrANQ//bnil91UBb5UGNEs2l/MPS2pLXGnnGuTbfFFBsvFDkL3YCnzLnAce1uRV
/rYdU1zGu1HHM3dpN0AGuR5xXX9NKlCZTZcWKFGUBkaS0Tc7r3n7AKFbhTbal2M+
ViGAot6yWuSlghLN2xaBzFR+wqPtghOVAPR5GOZoW6XUpnMSiBtRNRlitR6rettG
xm9clTCOkR8f2Cbrgwn/zq9TjXFlcQWhzDB8GSkFgzB+cgJhiuCXsNvYdXhCzNa0
CNxZRS1rxIaSMztWnicTHghN29AxzYNqJ22p3jk6X3WevNoxC4Yr/vIk5BHY1KLJ
hl63bj4xTtrN9+8vpgE2UoLIGXGquxyLq5KIi08hu8aXa/C11QnPPiNZlirnghl2
EN7V8Psf2qvZYeXKC0+VbUuiZdHCllERA6+PabI+s6v+IwGWlRjQi/7Yk+e55DOW
Y0leADS8HILIK3cMRvIxf/6WGktD/3zxsHMEy7nSePXqyyozfbPhbmAViOTDvh4f
Mp4mjAbOER8RbkAXCP8CMlcvBYAWFxyBNflufCuHYEORe0ByY+zhDn3gzqPkuIoO
8f0W2aq/b4nCPIBMojgkVtR8ST88XTiNLVBA7cbAFbwBSRZASGWvyHliAu5F2goS
XqyRydKPtnTagkkmRadokAEC5AniJKQ3lV5FQp+X7CPr26ToZzI=
=vlA6
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#36876; Package guix. Full text available.

Message received at 36876 <at> debbugs.gnu.org:


Received: (at 36876) by debbugs.gnu.org; 6 Aug 2019 03:12:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 05 23:12:55 2019
Received: from localhost ([127.0.0.1]:36115 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hupuB-0007XJ-9d
	for submit <at> debbugs.gnu.org; Mon, 05 Aug 2019 23:12:55 -0400
Received: from mail-pg1-f176.google.com ([209.85.215.176]:40837)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jgibbons2357@HIDDEN>) id 1hupu9-0007X7-Ft
 for 36876 <at> debbugs.gnu.org; Mon, 05 Aug 2019 23:12:54 -0400
Received: by mail-pg1-f176.google.com with SMTP id w10so40761776pgj.7
 for <36876 <at> debbugs.gnu.org>; Mon, 05 Aug 2019 20:12:53 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=message-id:subject:from:to:cc:in-reply-to:references:date
 :mime-version:content-transfer-encoding;
 bh=Y5qzRQkYtg4rI7I60pHJe8Y4xJQs7mJr3dRlzyMPOL0=;
 b=Nere+sUOtprHof5BHYSy8Re8MVEuM1UYl9XKX7pXbJyMsQqO3O/NpD6kUdfk6rX76z
 kaYQhyjbq/usVtMGI6TOKoRGxZzFlyK3zTSaKfK7qpZ4NgSmgqEz8AmwxoE6DIYcn148
 ag3UPuam055qrNd1awAkTWCBm9WwQdmwZPsdZbw9mNGcHg4OZgBtpGNa8tQ3OL4ZlZnM
 8yLjG+1F08prw9ylvEUYjfR7E3DlN50v+mu+CKaO8+0pPb3Trtzb6pUJJzpF6yifPP8I
 INiFp/zN5miTiGfDg/E7D7IQ9XjrlN6SJsg4Kav4IlVTKqWss7aQeKD0PcXE6OJHaHnM
 cC7A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:message-id:subject:from:to:cc:in-reply-to
 :references:date:mime-version:content-transfer-encoding;
 bh=Y5qzRQkYtg4rI7I60pHJe8Y4xJQs7mJr3dRlzyMPOL0=;
 b=AqF+/rBksVEl3jtAOBdzPESzzVm7GU3HhDhJwPjtERkjGNZVaMNI6fA4H7zh148n8c
 2E3py4/+vrVGcHCy0aWMz6Q4ayc4UBZRAyiW7QiXoFAiQJEGjyFKAhRDD51XsJJ5uGah
 OE/G5qTD1o8VfbaXtlfvRkBl/0Dgjbw0DWFLkboffa0E9I5a2nRk2ICMu0xXFb1WYrF8
 nSea8GRNN0LyBYaE8qA7t0xPOBKhztE+i4qfOcYcz19UUFZSKl2b9d5cB1+lRyR2sZf2
 ysB5AxCeTbcQN2TPVu1+ZKEVo/5u/muhFcrliJlvw1lToM+VOVH1Q+pBDEFe//OoLOtc
 V6Vw==
X-Gm-Message-State: APjAAAV9mECcTYl/2EsFKv6ehPOGFiTmTMVPFdEKHfSR7/Qr0vPqigwb
 JSeXLFZC1jSGw32nCRDyBAA=
X-Google-Smtp-Source: APXvYqwu5RQ9RumtiKvtzvcLw2PTHhwwi1MKOW7iILSwN1Gcfb9DCVxowfMWiWVC4WDTZMX6VkOpXA==
X-Received: by 2002:a63:b20f:: with SMTP id x15mr992854pge.453.1565061167579; 
 Mon, 05 Aug 2019 20:12:47 -0700 (PDT)
Received: from piranhaplant.local ([199.68.53.171])
 by smtp.googlemail.com with ESMTPSA id a20sm16710767pjo.0.2019.08.05.20.12.45
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 05 Aug 2019 20:12:46 -0700 (PDT)
Message-ID: <e5d7a9a83b44c739794a597411ae3ee090bac61d.camel@HIDDEN>
Subject: Re: bug#36876: guix system delete-generations removes custom boot
 menu entries
From: Jesse Gibbons <jgibbons2357@HIDDEN>
To: "Jakob L. Kreuze" <zerodaysfordays@HIDDEN>
In-Reply-To: <8736ifzjfe.fsf@HIDDEN>
References: <20190731094857.28829b11@HIDDEN>
 <8736ifzjfe.fsf@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Date: Mon, 05 Aug 2019 21:12:42 -0600
Mime-Version: 1.0
X-Mailer: Evolution 3.28.1 
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 36876
Cc: 36876 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Mon, 2019-08-05 at 12:05 -0400, Jakob L. Kreuze wrote:
> ...
> 
> I don't think this should be _too_ hard to fix. To me, parsing the
> installed Grub configuration to get existing menu entries seems like
> a
> logical step forward.
> 
> Thoughts from anyone else?
> 
> Regards,
> Jakob

Alternatively, we could save in the store a derivation for the the grub
config generated from the bootloader of the configuration. When the
user calls "guix system delete-generations", the derivation can be run,
and the remaining system generations (if any) can be appended in a menu
like when the user calls "guix system reconfigure". (Although it does
not work for me right now, I'm assuming "guix system delete-generations 
2m" as described in the manual will be implemented in the future.)

The immediate downsides I see to my solution:

- It would take space in the store per generation, which can add up if
the user does not often call "guix system delete-generations" and calls
"guix system reconfigure" on a healthy basis. The user could just be
reminded to call "guix system delete-generations" occasionally, and any
 official service that automatically updates the system via "guix
system reconfigure" can (and considering how large a generation with a
lot of updated system packages can get, probably should) also be
configured to call "guix system delete-generations".

- If someone hand-edits the grub config the changes would be lost. This
is the case as it is right now, and grub options can be edited in the
configuration, so I'm not too concerned about this.

-It would be much simpler to identify menu entries generated by guix
that are no longer in the store and remove them, and remove all empty
submenus. Parsing would make hand-editing grub.cfg more dangerous than
a solution that simply scraps the hand-made changes and rebuilds as I
propose, because the user doing the hand-editing would not necessarily
be aware what patterns the parser checks. It would also be inconsitent:
edits to grub.cfg being scrapped when "guix system reconfigure" is
called, but not when 'guix system delete-generations" is called looks
to me like a good way to introduce a bug to the more adventurous
"Murphy's Law"-type users down the road.


These are just my thoughts. I would love to hear other downsides to my
solution.

-- 
-Jesse




Information forwarded to bug-guix@HIDDEN:
bug#36876; Package guix. Full text available.

Message received at 36876 <at> debbugs.gnu.org:


Received: (at 36876) by debbugs.gnu.org; 5 Aug 2019 16:09:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 05 12:09:14 2019
Received: from localhost ([127.0.0.1]:35732 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hufXu-0007fM-3Z
	for submit <at> debbugs.gnu.org; Mon, 05 Aug 2019 12:09:14 -0400
Received: from mx.sdf.org ([205.166.94.20]:58406)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zerodaysfordays@HIDDEN>)
 id 1hufXq-0007f9-EW
 for 36876 <at> debbugs.gnu.org; Mon, 05 Aug 2019 12:09:12 -0400
Received: from Epsilon (pool-173-76-53-40.bstnma.fios.verizon.net
 [173.76.53.40]) (authenticated (0 bits))
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPSA id x75G96hw017563
 (using TLSv1.2 with cipher AES256-GCM-SHA384 (256 bits) verified NO);
 Mon, 5 Aug 2019 16:09:07 GMT
From: zerodaysfordays@HIDDEN (Jakob L. Kreuze)
To: Jesse Gibbons <jgibbons2357@HIDDEN>
Subject: Re: bug#36876: guix system delete-generations removes custom boot
 menu entries
References: <20190731094857.28829b11@HIDDEN>
Date: Mon, 05 Aug 2019 12:05:57 -0400
In-Reply-To: <20190731094857.28829b11@HIDDEN> (Jesse Gibbons's message of
 "Wed, 31 Jul 2019 09:48:57 -0600")
Message-ID: <8736ifzjfe.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36876
Cc: 36876 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Hi Jesse,

Jesse Gibbons <jgibbons2357@HIDDEN> writes:

> I dual-booted Guix with another gnu/linux-libre distro.
> My configuration includes the other distro in the grub menu. When I run
> "sudo guix system delete-generations" the changes to the grub menu drop
> the other distro with the older system generations of guix.
>
> My current work-around for this is to run "guix system reconfigure ..."
> which includes the boot menu entries specified in the configuration.

Thanks for reporting this; it's a rather serious issue. The problem lies
in the 'reinstall-bootloader' procedure. Chiefly, it uses the default
bootloader configuration for whatever it can find using
'lookup-bootloader-by-name' and generates menu entries for the
generations reachable from '%system-profile', which is quite a bit
different from how 'guix system reconfigure' produces the bootloader
configuration. It really isn't ideal. To quote a comment in
'system.scm': "[i]t will be enough to allow the system to boot."

I don't think this should be _too_ hard to fix. To me, parsing the
installed Grub configuration to get existing menu entries seems like a
logical step forward.

Thoughts from anyone else?

Regards,
Jakob

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEa1VJLOiXAjQ2BGSm9Qb9Fp2P2VoFAl1IU+YACgkQ9Qb9Fp2P
2Vp/xhAAk/8YsIdUIUoAXsarGj/LJe4AuVhMJKR2uJGsgVUFbB1F825rSj6PTk7L
Oa2l5BvRq3fuULT46zEzgCaE4LHu2xwe0FFjhKGPrsAx9I6AMHp1hItRwj3u57CC
oFQBDOAKOQBqQT8h9ynJ45KdJ+dkzwmOYVXIp5/17FfjIefZOL0XTE7Bmr3ycd5y
YW/n+B0LCrMPtdwVmFy999o0in/Z5BPh2RLLo/NW36viT+kafqSBAk9YymYqEbe4
H/uF7n5nb9Z/zWOlwj3gpDJ/TGU797TSVYSwZOFkO+dekYsw7PlesqQApXX3qfGe
VgRSwSn22NwzwjyCgLGtvjgxEloV8pihodceznRZXi25Ld1N9DUQndN6Ryk65JiO
RzLVGn/vfCq8yR5OOiWcQApd7Xz8XPXxe9fX9mkG/KJW6U4g8BjfjjwAvELsrKmg
+6OFg0bUdn+Gr9OVZKAEVlgtThhxdGIpVFxXChBJdRK/K/QyZeY2DQarRhgkm3h5
vzKwBncEOOj+sQfDs09nT/1Bz/DjpQJpLT+FTsqRVGzfknzYVamKiKamm59RdxJS
jI9EUTFLT/oqk254utSc8lhXBhemynKN+GiBV6uW45BqYKMtUgdRxFSyRn8XRThB
BBebjQQhxGk9gliCsZMIJhWs26BsGrgEUwfAciJJfNypZWUoHbk=
=ZPUK
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#36876; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 31 Jul 2019 15:49:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 31 11:49:07 2019
Received: from localhost ([127.0.0.1]:52936 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hsqqh-0003E9-C1
	for submit <at> debbugs.gnu.org; Wed, 31 Jul 2019 11:49:07 -0400
Received: from lists.gnu.org ([209.51.188.17]:47404)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jgibbons2357@HIDDEN>) id 1hsqqe-0003Dz-Np
 for submit <at> debbugs.gnu.org; Wed, 31 Jul 2019 11:49:05 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:35932)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <jgibbons2357@HIDDEN>) id 1hsqqd-0003RH-Mv
 for bug-guix@HIDDEN; Wed, 31 Jul 2019 11:49:04 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.1 required=5.0 tests=BAYES_50,
 FREEMAIL_ENVFROM_END_DIGIT,FREEMAIL_FROM autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jgibbons2357@HIDDEN>) id 1hsqqc-0008OE-Tq
 for bug-guix@HIDDEN; Wed, 31 Jul 2019 11:49:03 -0400
Received: from mail-pg1-x533.google.com ([2607:f8b0:4864:20::533]:33798)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <jgibbons2357@HIDDEN>)
 id 1hsqqc-0008Nx-KX
 for bug-guix@HIDDEN; Wed, 31 Jul 2019 11:49:02 -0400
Received: by mail-pg1-x533.google.com with SMTP id n9so26006970pgc.1
 for <bug-guix@HIDDEN>; Wed, 31 Jul 2019 08:49:02 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=date:from:to:subject:message-id:mime-version
 :content-transfer-encoding;
 bh=0MS9+QpG2nJJeDyJ5hYuEWGXPqavnz+qII16d4vfRbI=;
 b=H5Q6kvdTNEB9TPVU7uE4Mvfg4xGDx8dWedwIalvpttyBkwMN89+8iQ+va68PwVxrF5
 3TNg8jebVNHogYjvR4mLH3JL8yjNAb0+JRJOf86ZpSctmWXH8ewO6zGn1eQRq8nTSaR6
 VpmzZ1oEIeEAn3/WdxbOGoirDWKYYkr9d0QMdC/esugDoADGSZBdwXHG2PBg2U9B9W4I
 W79AqTR6ZvGYX90YMHZrMV2SMxkGDZmjMF5dYXgEmV55H55nfmoK+vMkOqfMCZRJDD5y
 ZzRKHmXSpumRWfC4APTDqRYqVUCnURtSZ0k275OEaHvbOjgJRNXxTSalmv5HLZTm/6ns
 nTkA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:date:from:to:subject:message-id:mime-version
 :content-transfer-encoding;
 bh=0MS9+QpG2nJJeDyJ5hYuEWGXPqavnz+qII16d4vfRbI=;
 b=YsV+mbsbrqJ4fVLMsJJaAnv+lWyjtNqJrkDHwrkxgQYI2cy20GsmbGp9AWiK/q5KL8
 zVqhArzi/3D9R2mamJ2ODm/bmcMFgcZNfd3gqSRki2Up2ACPY1vpp013D82RJKP4V+Wx
 uFcq2ktB5OEbiiqD3JSm1oSaIEPKVq14TibLZ+usWxkzf31qHXkcPBZSKH2v4aI32ToE
 VElgCEnfbJW20g1wTT5sA87Rz6btoaGJIgrXnk9V5GMSp7cy+XH1WnMv+PvKlb7c1EsR
 tINDCoifOySL95b8JKPJxxlxgGhUrVeVjMk3BWpUpI41fF5zVnh2EMsBuTyzbi853IaM
 YDTw==
X-Gm-Message-State: APjAAAUzZ56oTTvA+hpwqxFOO/vUsOSByqDHKgk8iRT1ZZk9afkt/m+3
 G28F3JtJIWil5H81r7WPUl3tBZwn0Bw=
X-Google-Smtp-Source: APXvYqyDfFjJXy1MtWi6KFp6U1T29RaqaLo1tLaLMHtesK3G+w05hhjNE2vFzdhAo5bK9Y5n7TPZNQ==
X-Received: by 2002:a17:90a:c391:: with SMTP id
 h17mr3652787pjt.131.1564588141195; 
 Wed, 31 Jul 2019 08:49:01 -0700 (PDT)
Received: from localhost ([199.68.53.171])
 by smtp.gmail.com with ESMTPSA id r2sm86907650pfl.67.2019.07.31.08.48.59
 for <bug-guix@HIDDEN>
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Wed, 31 Jul 2019 08:49:00 -0700 (PDT)
Date: Wed, 31 Jul 2019 09:48:57 -0600
From: Jesse Gibbons <jgibbons2357@HIDDEN>
To: bug-guix@HIDDEN
Subject: guix system delete-generations removes custom boot menu entries
Message-ID: <20190731094857.28829b11@HIDDEN>
X-Mailer: Claws Mail 3.17.3 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2607:f8b0:4864:20::533
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

I dual-booted Guix with another gnu/linux-libre distro.
My configuration includes the other distro in the grub menu. When I run
"sudo guix system delete-generations" the changes to the grub menu drop
the other distro with the older system generations of guix.

My current work-around for this is to run "guix system reconfigure ..."
which includes the boot menu entries specified in the configuration.




Acknowledgement sent to Jesse Gibbons <jgibbons2357@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#36876; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 6 Aug 2019 18:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.